メインコンテンツへスキップ
GET
/
v1
/
customers
/
{customer_id}
/
payment-methods
決済方法一覧
curl --request GET \
  --url https://api.sandbox.zafapay.com/v1/customers/{customer_id}/payment-methods \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.zafapay.com/v1/customers/{customer_id}/payment-methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.zafapay.com/v1/customers/{customer_id}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customer_id": "cust_abc123",
  "payment_methods": [
    {
      "id": "pmi_abc123",
      "type": "card",
      "card": {
        "brand": "visa",
        "last4": "4242",
        "exp_month": 12,
        "exp_year": 2028,
        "cardholder_name": "TARO YAMADA",
        "country": "JP",
        "funding": "credit"
      },
      "is_default": true,
      "status": "active",
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  ]
}
{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "Invalid request parameters",
"param": "amount",
"details": [
{
"path": [
"<string>"
],
"message": "<string>"
}
],
"request_id": "req_abc123xyz789"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "Invalid request parameters",
"param": "amount",
"details": [
{
"path": [
"<string>"
],
"message": "<string>"
}
],
"request_id": "req_abc123xyz789"
}
}

承認

Authorization
string
header
必須

アクセストークンを使用したBearer認証

パスパラメータ

customer_id
string
必須

顧客ID

:

"cust_abc123"

レスポンス

成功

customer_id
string

顧客ID

:

"cust_abc123"

payment_methods
object[]

保存済み決済方法のリスト